Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003066TestLinkInternal issuepublic2010-01-14 19:162010-05-01 20:28
Reportermhavlat 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 4 
Summary0003066: Upgrade ADODB to 5.10
DescriptionUpgrade ADODB to 5.10
There are fixes for PHP5.3 support. Some users reports incompatibility problems in the case that a server already includes ADODB integrated.

The current version:
     @version V5.08 6 Apr 2009 (c) 2000-2009 John Lim (jlim#natsoft.com).

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0003169closedmhavlat Declaration of ADODB_mysql::MetaColumns() 

-  Notes
(0008709)
fman (administrator)
2010-01-17 19:05

we can do tests without commiting this version, and having in place both versions. I've added time ago a define that allow user to set where ADODB LIB is placed:

on database class

// To use a different version of ADODB that provided with TL,
// use a similar bunch of lines
// on custom_config.inc.php
if( !defined('TL_ADODB_RELATIVE_PATH') )
{
    define('TL_ADODB_RELATIVE_PATH','/../../third_party/adodb/adodb.inc.php' );
}
// --------------------------------------------------------------------

- Issue History
Date Modified Username Field Change
2010-01-14 19:16 mhavlat New Issue
2010-01-17 19:05 fman Note Added: 0008709
2010-02-15 20:24 mhavlat Relationship added has duplicate 0003169
2010-04-04 17:04 fman Status new => resolved
2010-04-04 17:04 fman Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-04 17:04 fman Resolution open => fixed
2010-04-04 17:04 fman Assigned To => fman
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker